Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Interface IResponseResolver<T>

All Known Implementing Classes:
  RangeSliceResponseResolver, ReadResponseResolver

    public interface IResponseResolver<T>

Method Summary
`boolean` | `isDataPresent(java.util.Collection<Message> responses)`
`void` | `preprocess(Message message)`
`T` | `resolve(java.util.Collection<Message> responses)`

Method Detail

### resolve

    T resolve(java.util.Collection<Message> responses)
              throws DigestMismatchException,
                     java.io.IOException

  Throws:
    `DigestMismatchException`
    `java.io.IOException`

### isDataPresent

    boolean isDataPresent(java.util.Collection<Message> responses)

### preprocess

    void preprocess(Message message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation